#include <stdio.h>
#include "log.h"

int (*message_func)(const char *format, ...) = (void (*)(char *))printf;
void (*messagebox_func)(char *str) = NULL;

void register_message_func(void *func){
	message_func = (void (*)(char *))func;
}

void register_messagebox_func(void *func){
	messagebox_func = (void (*)(char *))func;
}

void deregister_message_func(void){
	message_func = NULL;
}

void deregister_messagebox_func(void){
	messagebox_func = NULL;
}
