#define STACK_START	0x7801E000

	.section .ram.boot
	.global _start
_start:
	ldr	sp, =STACK_START

	/* clear bss */
	mov     r0, #0
	ldr	r1, =__bss_start
	ldr	r2, =__bss_end
1:	str	r0, [r1], #4
	cmp	r1, r2
	blo	1b

	bl	main			/* see loader.c */
2:	b	2b

	.global flush_v3
flush_v3:
	mov     r0, #0
	mcr     p15, 0, r0, c7, c7, 0	/* flush v3/v4 cache */
	mcr	p15, 0, r0, c5, c0, 0	/* flush v3 TLB */
	mov	pc, lr

	.global flush_v4
flush_v4:
	mov     r0, #0
	mcr     p15, 0, r0, c7, c7, 0	/* flush v3/v4 cache */
	mcr	p15, 0, r0, c8, c7, 0	/* flush v4 TLB */
	mov	pc, lr
